cURL
curl --request PUT \
--url https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/share/policy/{policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"allow_params": false,
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/share/policy/{policy_id}"
payload = {
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"allow_params": False,
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: [{key: '<string>', value: '<string>'}],
allow_params: false,
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/share/policy/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"entity_id": 123,
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"allow_params": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Charts
Update Chart Share Policy
Update a share policy for a chart to enable secure sharing with signed URLs
PUT
/
project
/
{project_id}
/
chart
/
{chart_id}
/
share
/
policy
/
{policy_id}
cURL
This endpoint updates an existing SharePolicy for a chart, which enables advanced sharing features including:
- Signed URL generation with expiration dates
- Parameter passing to chart variables
- Control over URL parameter allowance
- Enhanced security for embedded charts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
ID of the chart
ID of the share policy
Body
application/json
Response
Updated share policy
Available options:
Project, Chart Parameters to pass to variables in the dashboard's charts
Show child attributes
Show child attributes
Whether to allow parameters to be passed via URL
⌘I